All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Darrick J. Wong" <darrick.wong@oracle.com>
To: guaneryu@gmail.com, darrick.wong@oracle.com
Cc: linux-xfs@vger.kernel.org, fstests@vger.kernel.org
Subject: [PATCH 3/3] xfs: make sure xfs_db/xfs_quota commands are documented
Date: Tue, 03 Mar 2020 18:46:47 -0800	[thread overview]
Message-ID: <158329000698.2374922.9344618703224232004.stgit@magnolia> (raw)
In-Reply-To: <158328998787.2374922.4223951558305234252.stgit@magnolia>

From: Darrick J. Wong <darrick.wong@oracle.com>

Make sure all the xfs_db/xfs_quota commands are documented.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
---
 tests/xfs/754     |   57 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/754.out |    2 ++
 tests/xfs/755     |   53 +++++++++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/755.out |    2 ++
 tests/xfs/group   |    2 ++
 5 files changed, 116 insertions(+)
 create mode 100755 tests/xfs/754
 create mode 100644 tests/xfs/754.out
 create mode 100755 tests/xfs/755
 create mode 100644 tests/xfs/755.out


diff --git a/tests/xfs/754 b/tests/xfs/754
new file mode 100755
index 00000000..ba0885be
--- /dev/null
+++ b/tests/xfs/754
@@ -0,0 +1,57 @@
+#! /bin/bash
+# SPDX-License-Identifier: GPL-2.0-or-newer
+# Copyright (c) 2020, Oracle and/or its affiliates.  All Rights Reserved.
+#
+# FS QA Test No. 754
+#
+# Ensure all xfs_db commands are documented.
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1    # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+	cd /
+	rm -f $tmp.* $file
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux
+_require_command "$XFS_DB_PROG" "xfs_db"
+_require_command "$MAN_PROG" man
+_require_test
+
+echo "Silence is golden"
+
+MANPAGE=$($MAN_PROG --path xfs_db)
+
+case "$MANPAGE" in
+*.gz|*.z\|*.Z)	CAT=zcat;;
+*.bz2)		CAT=bzcat;;
+*.xz)		CAT=xzcat;;
+*)		CAT=cat;;
+esac
+_require_command `which $CAT` $CAT
+
+file=$TEST_DIR/xx.$seq
+truncate -s 128m $file
+$MKFS_XFS_PROG $file >> /dev/null
+
+for COMMAND in `$XFS_DB_PROG -x -c help $file | awk '{print $1}' | grep -v "^Use"`; do
+  $CAT "$MANPAGE" | egrep -q "^\.B.*$COMMAND" || \
+	echo "$COMMAND not documented in the xfs_db manpage"
+done
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/754.out b/tests/xfs/754.out
new file mode 100644
index 00000000..9e7cda82
--- /dev/null
+++ b/tests/xfs/754.out
@@ -0,0 +1,2 @@
+QA output created by 754
+Silence is golden
diff --git a/tests/xfs/755 b/tests/xfs/755
new file mode 100755
index 00000000..0e5d85ab
--- /dev/null
+++ b/tests/xfs/755
@@ -0,0 +1,53 @@
+#! /bin/bash
+# SPDX-License-Identifier: GPL-2.0-or-newer
+# Copyright (c) 2020, Oracle and/or its affiliates.  All Rights Reserved.
+#
+# FS QA Test No. 755
+#
+# Ensure all xfs_quota commands are documented.
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1    # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+	cd /
+	rm -f $tmp.* $file
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux
+_require_command "$XFS_QUOTA_PROG" "xfs_quota"
+_require_command "$MAN_PROG" man
+_require_test
+
+echo "Silence is golden"
+
+MANPAGE=$($MAN_PROG --path xfs_quota)
+
+case "$MANPAGE" in
+*.gz|*.z\|*.Z)	CAT=zcat;;
+*.bz2)		CAT=bzcat;;
+*.xz)		CAT=xzcat;;
+*)		CAT=cat;;
+esac
+_require_command `which $CAT` $CAT
+
+for COMMAND in `$XFS_QUOTA_PROG -x -c help $file | awk '{print $1}' | grep -v "^Use"`; do
+  $CAT "$MANPAGE" | egrep -q "^\.B.*$COMMAND" || \
+	echo "$COMMAND not documented in the xfs_quota manpage"
+done
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/755.out b/tests/xfs/755.out
new file mode 100644
index 00000000..7c9ea51c
--- /dev/null
+++ b/tests/xfs/755.out
@@ -0,0 +1,2 @@
+QA output created by 755
+Silence is golden
diff --git a/tests/xfs/group b/tests/xfs/group
index 522d4bc4..aadbb971 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -511,3 +511,5 @@
 511 auto quick quota
 512 auto quick acl attr
 513 auto mount
+754 auto quick db
+755 auto quick quota


  parent reply	other threads:[~2020-03-04  2:46 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-04  2:46 [PATCH 0/3] fstests: random stuff Darrick J. Wong
2020-03-04  2:46 ` [PATCH 1/3] generic/402: skip test if xfs_io can't parse the date value Darrick J. Wong
2020-03-06  9:33   ` Zorro Lang
2020-03-04  2:46 ` [PATCH 2/3] xfs: refactor calls to xfs_admin Darrick J. Wong
2020-03-06  9:53   ` Zorro Lang
2020-03-04  2:46 ` Darrick J. Wong [this message]
2020-03-06 10:06   ` [PATCH 3/3] xfs: make sure xfs_db/xfs_quota commands are documented Zorro Lang
2020-03-06 15:41     ` Darrick J. Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=158329000698.2374922.9344618703224232004.stgit@magnolia \
    --to=darrick.wong@oracle.com \
    --cc=fstests@vger.kernel.org \
    --cc=guaneryu@gmail.com \
    --cc=linux-xfs@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.